#### D.6.4.8 morsesplit

Procedure from library `classify.lib` (see classify_lib).

Usage:
  morsesplit(f); f=poly

Return:
  Normal form of f in M^3 after application of the splitting lemma

Compute:
  apply the splitting lemma (generalized Morse lemma) to f

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),ds;
    export r;
    init_debug(1);
    ==> Debugging level is set to  1
    poly f=(x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3;
    poly g=morsesplit(f);
    ==> Residual singularity f= -x3+3/2xy2+1/2x3y-1/16x2y2+3x2y3
    g;
    ==> -x3+3/2xy2+1/2x3y-1/16x2y2+3x2y3

User manual for Singular version 4.4.1, 2025, generated by texi2html.